<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html">
<h:head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
	<title>Message input</title>
</h:head>
<h:body>
	<h:form>
		<h:inputText id="message" value="#{messageProducer.message}" />
		<h:commandButton value="Submit" action="#{messageProducer.sendMessage}" />
	</h:form>
</h:body>
</html>